Package org.eclipse.gef.commands

# Class ForwardUndoCompoundCommand

java.lang.Object
org.eclipse.gef.commands.Command
org.eclipse.gef.commands.CompoundCommand
org.eclipse.gef.commands.ForwardUndoCompoundCommand

public class ForwardUndoCompoundCommand extends CompoundCommand
A CompoundCommand that performs undo on its contained Commands in the same order in which they were executed.

## Constructor Summary

Constructors
Constructor
Description
`ForwardUndoCompoundCommand()`
Constructs a ForwardUndoCompoundCommand with no label
`ForwardUndoCompoundCommand(String label)`
Constructs a ForwardUndoCompoundCommand with the specified label

## Method Summary

Modifier and Type
Method
Description
`String`
`getDebugLabel()`
`void`
`undo()`
Undo the command.

### Methods inherited from class org.eclipse.gef.commands.CompoundCommand

`add, canExecute, canRedo, canUndo, dispose, execute, getChildren, getCommands, getLabel, isEmpty, redo, size, unwrap`

### Methods inherited from class org.eclipse.gef.commands.Command

`chain, setDebugLabel, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForwardUndoCompoundCommand

public ForwardUndoCompoundCommand()
Constructs a ForwardUndoCompoundCommand with no label

### ForwardUndoCompoundCommand

public ForwardUndoCompoundCommand(String label)
Constructs a ForwardUndoCompoundCommand with the specified label

Parameters:
  `label` - the label

## Method Details

### getDebugLabel

public String getDebugLabel()

Overrides:
  `getDebugLabel` in class `Command`
Returns:
  an untranslated String used for debug purposes only
See Also:
  - `Command.getDebugLabel()`

### undo

public void undo()
Undo the command. For a Preorder compound command this means undoing all of the commands that it contains. Do it in the same order as applied.

Overrides:
  `undo` in class `CompoundCommand`
See Also:
  - `Command.undo()`